Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::SEvent Struct Reference

SEvents hold information about an event. See irr::IEventReceiver for details on event handling. More...

`#include <IEventReceiver.h>`

List of all members.

## Public Attributes
union {
struct SGUIEvent GUIEvent
struct SJoystickEvent JoystickEvent
struct SKeyInput KeyInput
struct SLogEvent LogEvent
struct SMouseInput MouseInput
struct SUserEvent UserEvent
}; |
EEVENT_TYPE | EventType
## Classes
struct | SGUIEvent
| Any kind of GUI event. More...
struct | SJoystickEvent
| A joystick event. More...
struct | SKeyInput
| Any kind of keyboard event. More...
struct | SLogEvent
| Any kind of log event. More...
struct | SMouseInput
| Any kind of mouse event. More...
struct | SUserEvent
| Any kind of user event. More...

## Detailed Description

SEvents hold information about an event. See irr::IEventReceiver for details on event handling.

Definition at line 239 of file IEventReceiver.h.

## Member Data Documentation

union { ... }

EEVENT_TYPE irr::SEvent::EventType

Definition at line 391 of file IEventReceiver.h.

struct SGUIEvent irr::SEvent::GUIEvent`[read]`

Definition at line 394 of file IEventReceiver.h.

struct SJoystickEvent irr::SEvent::JoystickEvent`[read]`

Definition at line 397 of file IEventReceiver.h.

struct SKeyInput irr::SEvent::KeyInput`[read]`

Definition at line 396 of file IEventReceiver.h.

struct SLogEvent irr::SEvent::LogEvent`[read]`

Definition at line 398 of file IEventReceiver.h.

struct SMouseInput irr::SEvent::MouseInput`[read]`

Definition at line 395 of file IEventReceiver.h.

struct SUserEvent irr::SEvent::UserEvent`[read]`

Definition at line 399 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:09 2010 by Doxygen (1.5.6)